<!DOCTYPE html>
<html lang="fr">
		<head>
		  <meta charset="utf-8">
		  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		  <meta http-equiv="x-ua-compatible" content="ie=edge">
		  <title>Welcome to snow tricks</title>
		  <!-- Font Awesome -->
		  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css">
		  <!-- Bootstrap core CSS -->
{#		  <link href="{{asset('build/bootstrap.js')}}" rel="stylesheet">#}
{#		  <!-- Material Design Bootstrap -->#}
{#		  <link href="{{asset('build/mdb.js')}}" rel="stylesheet">#}
{#		  <!-- Your custom styles (optional) -->#}
{#		  <link href="{{asset('build/style.js')}}" rel="stylesheet">#}
{#      <link href="{{asset('build/mainstyle.js')}}" rel="stylesheet">#}
          {{ encore_entry_link_tags('bootstrap') }}
          {{ encore_entry_link_tags('mdb') }}
          {{ encore_entry_link_tags('style') }}
          {{ encore_entry_link_tags('mainstyle') }}
		  {% block stylesheets %}{% endblock %}

		</head>

    <body>
  <!-- Navbar -->
  <nav class="navbar {% if fixed_menu is defined and fixed_menu == 'enabled' %}fixed-top{%endif%} navbar-expand-lg navbar-dark scrolling-navbar">
    <div class="container">

      <!-- Brand -->
      <a class="navbar-brand" href="{{path('trick_index')}}">
        <strong>Snow Tricks</strong>
      </a>

      <!-- Collapse -->
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
        aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <!-- Links -->
      <div class="collapse navbar-collapse" id="navbarSupportedContent">

        <!-- Left -->
        <ul class="navbar-nav mr-auto">

            <!-- Connexion & deconnexion -->

      {% if is_granted('ROLE_USER') %}

          <li class="nav-item">
            <a class="nav-link" href="{{path('trick_new')}}">Nouvelle figure</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{{path('profil_show')}}">Mon profil</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{{path('logout')}}">Deconnexion</a>
          </li>
      {% endif %}
      {% if not is_granted('ROLE_USER') %}
          <li class="nav-item">
            <a class="nav-link" href="{{path('user_registration')}}">Inscription</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{{path('login')}}">Connexion</a>
          </li>
      {% endif %}
        </ul>


      
      </div>

    </div>
  </nav>
  <!-- Navbar -->

		  <!-- Full Page Intro -->
{% block cover%}
  <div class="view full-page-intro" style="background-image: url({{ asset('img/tricks-HPage.jpg') }}) ; background-repeat: no-repeat; background-size: cover; background-position: center; ">

    <!-- Mask & flexbox options-->
    <div class="mask rgba-black-light d-flex justify-content-center align-items-center">

      <!-- Content -->
      <div class="container">

        <!--Grid row-->
        <div class="row wow fadeIn">

          <!--Grid column-->
          <div class="col-lg-12 col-md-7 mb-4 white-text text-center text-md-left">

            <h1 class="display-4 font-weight-bold">Le site des artistes du ski</h1>

            <hr class="hr-light">

            <p class="mb-4 d-none d-md-block">
              <strong>Le ski est plus qu'un loisir pour vous ? <br/>Rejoignez notre communauté dediée au ski acrobatique</strong>
            </p>
          </div>
          <!--Grid column-->

        </div>
        <!--Grid row-->

      </div>
      <!-- Content -->

    </div>
    <!-- Mask & flexbox options-->
    
  </div>
 
  <!-- Full Page Intro -->
  {% endblock %}

  
   {% block body %}{% endblock %}


  <!--Footer-->
  <footer class="page-footer text-center font-small mt-4 wow fadeIn fixed-bottom">

    <!--Copyright-->
    <div class="footer-copyright py-3">
      © 2019 Copyright:
      <a href="https://www.linkedin.com/in/moez-thabti-3949b915a/" target="_blank"> Moez Thabti : Projet d'étude </a>
    </div>
    <!--/.Copyright-->

  </footer>
  <!--/.Footer-->


        <!-- JQuery -->
				<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
				<!-- Bootstrap tooltips -->
				<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.4/umd/popper.min.js"></script>
				<!-- Bootstrap core JavaScript -->
				<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.3/js/bootstrap.min.js"></script>
				<!-- MDB core JavaScript -->
				<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.6.1/js/mdb.min.js"></script>
				<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/noty/3.1.4/noty.min.js"></script>
				<script type="text/javascript">
					
					{% for type, messages in app.session.flashbag.all() %}
		   				{% for message in messages %}
		   						new Noty({
		   						 animation: {
                        open: 'animated bounceInRight', // Animate.css class names
                        close: 'animated bounceOutRight' // Animate.css class names
                     },
    							text: '<div class="text-center alert alert-{{type}}">{{message}}</div>',
									}).show();
					   {% endfor %}
 					{% endfor %}
        </script>
{#        <script type="text/javascript" src="{{asset('js/mainJs.js')}}"></script>#}
{#        <script type="text/javascript" src="{{asset('js/new_collection_widget.js')}}"></script>#}
      {{ encore_entry_script_tags('mainJs')}}
      {{ encore_entry_script_tags('new_collection_widget')}}
        {% block javascripts %}{% endblock %}
    </body>
</html>
